Subject: Re: git clone questions relating to cpio

From: Johannes Sixt <[email-masked]>
Date: Tue, 02 Oct 2007 08:11:24 +0200

Junio C Hamano schrieb:
> Johannes Schindelin <[email-masked]> writes:
> 
>> On Mon, 1 Oct 2007, Reece Dunn wrote:
>>
>>> I am running a Linux From Scratch 6.2 system that does not have cpio
>>> installed on it. This means that I can't clone a local repository
>>> unless I install cpio.
>> You might be interested in the workaround Hannes did in mingw.git; he made 
>> a wrapper script called 'cpio' using 'tar'.
> 
> I think that may be good enough as workaround, but I do not
> think you would get the space saving from hardlinks that way.

FWIW, I'm thinking about changing the cpio -p (passthrough) part to use
'cp -l --parents --target-directory=...' instead of tar; this gives us hard 
links, even on NTFS. But it needs GNU's cp, of course.

-- Hannes